<?php
/**
*
* @package Moods
* @copyright (c) 2016 Theriddler - (http://www.peppersrus-forum.nl)
* @copyright (c) 2015 Rmcgirr83
* @Code lent from nationalflags extension by Rmcgirr83
* @license http://opensource.org/licenses/gpl-2.0.php GNU General Public License v2
*
*/

namespace theriddler\moods\acp;

class moods_module
{
	public	$u_action;

	function main($id, $mode)
	{
		global $phpbb_container, $request, $user;

		// Get an instance of the admin controller
		$admin_controller = $phpbb_container->get('theriddler.moods.admin.controller');

		// Requests
		$action = $request->variable('action', '');
		$mood_id = $request->variable('mood_id', 0);
		if ($request->is_set_post('add'))
		{
			$action = 'add';
		}
		// Make the $u_action url available in the admin controller
		$admin_controller->set_page_url($this->u_action);

		// Load the "settings" or "manage" module modes
		switch ($mode)
		{
			case 'config':
				// Load a template from adm/style for our ACP page
				$this->tpl_name = 'moods_settings';

				// Set the page title for our ACP page
				$this->page_title = $user->lang('ACP_MOOD_SETTINGS');

				// Load the display options handle in the admin controller
				$admin_controller->display_options();
			break;

			case 'manage':
				// Load a template from adm/style for our ACP page
				$this->tpl_name = 'moods_manage';

				// Set the page title for our ACP page
				$this->page_title = $user->lang('ACP_MOODS');

				// Perform any actions submitted by the user
				switch ($action)
				{
					case 'add':
						// Set the page title for our ACP page
						$this->page_title = $user->lang('MOOD_ADD');

						// Load the add mood handle in the admin controller
						$admin_controller->add_mood();

						// Return to stop execution of this script
						return;
					break;

					case 'edit':
						// Set the page title for our ACP page
						$this->page_title = $user->lang('MOOD_EDIT');

						// Load the edit mood handle in the admin controller
						$admin_controller->edit_mood($mood_id);

						// Return to stop execution of this script
						return;
					break;

					case 'delete':
						// Delete a mood
						$admin_controller->delete_mood($mood_id);
					break;

					default:
						$admin_controller->display_moods();
					break;
				}
			break;
		}
	}
}
